swi-prolog (7.7.25+dfsg-3) unstable; urgency=medium

  * Do not build swi-prolog-java for hppa
  * Add patch to use install target at final fallback for home
    (Closes: #916942)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 27 Dec 2018 20:25:05 +0500

swi-prolog (7.7.25+dfsg-2) unstable; urgency=medium

  * d/control: Depend on libncurses-dev, not libncursesw6-dev
  * d/control: Build only for architectures with libunwind and default-jdk

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 19 Dec 2018 10:55:11 +0500

swi-prolog (7.7.25+dfsg-1) unstable; urgency=medium

  * New upstream version 7.7.25+dfsg
  * Remove patches applied upstream or unneeded anymore
  * Add patch to use local copy of jQuery
  * Add patch to not install extra license and readme files
  * Refresh default stack size patch
  * Drop autoreconf support
  * d/copyright: Refresh copyright information
  * d/rules: Update rules to reflect upstream's migration to cmake
  * d/control: Update {build-}dependencies

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 18 Dec 2018 20:13:36 +0500

swi-prolog (7.6.4+dfsg-2) unstable; urgency=medium

  * Add patch to lazy restart of "gc" thread (Closes: #887155)
  * Add patch to fix build with openjdk9 (Closes: #893421)
  * Migrate to salsa.debian.org

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 27 Apr 2018 22:13:38 +0500

swi-prolog (7.6.4+dfsg-1) unstable; urgency=medium

  * New upstream version 7.6.4+dfsg
  * Refresh patches

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 13 Jan 2018 19:26:33 +0500

swi-prolog (7.6.3+dfsg-1) unstable; urgency=medium

  * New upstream version 7.6.3+dfsg

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 16 Dec 2017 12:39:19 +0500

swi-prolog (7.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 7.6.2+dfsg
  * Remove patch applied upstream (volatile-hack.diff)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 25 Nov 2017 19:37:52 +0500

swi-prolog (7.6.1+dfsg-3) unstable; urgency=medium

  * Add patch to fix build on mips (thanks to James Cowgill)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 20 Nov 2017 13:12:34 +0500

swi-prolog (7.6.1+dfsg-2) unstable; urgency=medium

  * Disable Java test due to CVE-2017-1000364

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 07 Nov 2017 11:14:08 +0500

swi-prolog (7.6.1+dfsg-1) unstable; urgency=medium
  * New upstream version 7.6.1+dfsg

  * Remove jquery patch (obsolete due to upstream changes)
  * Refresh patches
  * Run autoreconf in all and only relevant directories
  * Update docs installation for swi-prolog-x package

  * d/control: Declare Standards-Version 4.0.1
  * d/control: Suggest elpa-ediprolog
  * d/control: Add new build dependencies (libjs-jquery, libpcre3-dev)
  * d/control: Remove Breaks field (relevant only for oldstable)

  * d/rules: Declare JAVACFLAGS {source,target} to be 7 (Closes: #874142)
  * d/rules: Build pcre package
  * d/rules Enable more tests (bdb, clpqr, pcre, pengines)
  * d/rules: Use PLBASE environment variable, migrate PLARCH to DEB_BUILD_ARCH
  * d/rules: Remove DEB_HOST_{ARCH,MULTIARCH{ declaration

  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 06 Nov 2017 15:07:42 +0500

swi-prolog (7.4.2+dfsg-2) unstable; urgency=medium

  * Remove autotools-dev and dh-autoreconf from build dependencies
    - debhelper 10 is in use
  * Migrate to libssl-dev (Closes: #859738)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 06 Aug 2017 03:10:44 +0500

swi-prolog (7.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 7.4.2+dfsg
  * Build libedit and readline packages
  * Build bdb package as a separate Debian package
  * Move cql package to swi-prolog-nox Debian package
  * Refresh patches
  * Remove patches applied upstream: ignore-format-string-error,
    java-fixes, java-i386, maildrop-fpic
  * Update d/rules to reflect upstream changes
  * Clean d/control, update description
  * Drop passing autotools_dev to dh
  * Bump d/compat to 10
  * Migrate to machine-readable d/copyright
  * Reflect upstream changes (upstream migrated to BSD license)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 15 Jul 2017 18:12:08 +0500

swi-prolog (7.2.3+dfsg-6) unstable; urgency=medium

  * Drop swi-prolog-java on mips. Fixes FTBFS. (Closes: #854609)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 11 Feb 2017 23:30:43 +0500

swi-prolog (7.2.3+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/java-ld-path.diff: new patch, sets LD_LIBRARY_PATH before running
    test-java.sh. Fixes FTBFS. (Closes: #852892)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 05 Feb 2017 14:27:07 +0100

swi-prolog (7.2.3+dfsg-5) unstable; urgency=medium

  * Temporary build-depend on libssl1.0-dev (Closes: #845030).
    Thanks to Adrian Bunk.

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 02 Dec 2016 00:20:25 +0500

swi-prolog (7.2.3+dfsg-4) unstable; urgency=low

  * Disable pengines check completely

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 19 Oct 2016 10:49:45 +0500

swi-prolog (7.2.3+dfsg-3) unstable; urgency=low

  * Skip pengines check for ppc64el
  * Refresh jquery patch
  * Disable java support on armel and armhf for now

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 19 Oct 2016 00:40:55 +0500

swi-prolog (7.2.3+dfsg-2) unstable; urgency=medium

  * Use dversionmangle in debian/watch to handle +dfsg
  * Update README.Debian
  * Use secure URL for Vcs-Git and Vcs-Browser
  * Bump Standards-Version to 3.9.8
  * Run additional tests for packages/
  * Clear debian/control

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 17 Oct 2016 22:26:56 +0500

swi-prolog (7.2.3+dfsg-1) unstable; urgency=medium

  * Better handling of jquery
  * Make source DFSG clean

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 20 Feb 2016 15:46:36 +0500

swi-prolog (7.2.3-2) unstable; urgency=medium

  * Fix debian/watch
  * Add patch to fix Java library subdir on i386. Closes: #814431

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 12 Feb 2016 20:20:22 +0500

swi-prolog (7.2.3-1) unstable; urgency=medium

  * Remove lpia architecture from debian/control
  * Add myself as a maintainer
  * Use set -e instead of /bin/sh -e in swi-prolog-nox.postinst
  * Remove -fno-strict-aliasing from .pc file
  * Make swipl-lfr.pl executable
  * Imported Upstream version 7.2.3

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 09 Feb 2016 16:27:53 +0500

swi-prolog (7.2.0-3) unstable; urgency=medium

  * Use ppc64le subdirectory for jre libraries on ppc64el, even if online
    file list says otherwise... Hopefully closes: #805123

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Dec 2015 04:00:32 +0100

swi-prolog (7.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * Set Java target to 1.5

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 28 May 2015 21:35:00 +0200

swi-prolog (7.2.0-1) experimental; urgency=medium

  * New upstream release (closes: #743552)
  * debian/watch - archive names now start with swipl-
  * Increase version of swi-prolog-vm pseudopackage (3)
  * Don't install package R into swi-prolog-nox - removed upstream
  * Install new package pengines into swi-prolog-nox
  * Install new package cql into swi-prolog-odbc
  * Refresh patch java-fixes.diff
  * Don't attempt to install nonexisting packages/xpce/README-4.8
  * Don't attempt to install nonexisting packages/xpce/README.sicstus
  * debian/gbp.conf - remove git- prefix from section names
  * Upload to experimental for now

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 26 May 2015 00:01:33 +0200

swi-prolog (6.6.6-5) unstable; urgency=medium

  * Fix soname generation for versions with Debian parts consisting of more
    than one characters after the minus sign

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 22 Oct 2014 21:34:12 +0200

swi-prolog (6.6.6-4) unstable; urgency=medium

  [ Ondřej Surý ]
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo

  [ Євгеній Мещеряков ]
  * Patch from Ondřej Surý closes: #763495
  * Standards-Version 3.9.6 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 03 Oct 2014 19:23:01 +0200

swi-prolog (6.6.6-3) unstable; urgency=medium

  [ Fernando Seiti Furusato ]
  * The arch dir for openjdk has changed for ppc64el: from ppc64le to ppc64.

  [ Євгеній Мещеряков ]
  * Apply patch from Fernando Seiti Furusato (closes: #761222)

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 17 Sep 2014 22:18:34 +0200

swi-prolog (6.6.6-2) unstable; urgency=medium

  * Fix building on ppc64el, thanks to Fernando Seiti Furusato for the patch
    (closes: #754835)

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 14 Jul 2014 23:31:58 +0200

swi-prolog (6.6.6-1) unstable; urgency=medium

  * New upstream release
  * Don't override dh_builddeb anymore, xz is now a standard compressor
  * Update debian/copyright

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 10 Jun 2014 22:19:44 +0200

swi-prolog (6.6.5-2) unstable; urgency=medium

  * Stop suggesting obsolete swi-prolog-doc
  * Override lintian warning jar-not-in-usr-share
  * Build the -java package on mips64el
  * New  patches:
    - java-fixes.diff - fix building of -java package on ppc64 and ppc64el

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 25 May 2014 20:59:15 +0200

swi-prolog (6.6.5-1) unstable; urgency=medium

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Apr 2014 22:31:46 +0200

swi-prolog (6.6.4-2) unstable; urgency=medium

  * Add more architectures with Java support (closes: #742279)
  * Use DEB_HOST_* variables instead of DEB_BUILD_* when needed (closes:
    #742354). Thanks to Matthias Klose
  * Use ln -sf to create symlinks (closes: #742355)
  * Build-depend on libunwind8 on ppc64
  * Use autotools-dev to update config.guess/config.sub (closes: #742353)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 22 Mar 2014 21:54:28 +0100

swi-prolog (6.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 21 Mar 2014 21:43:34 +0100

swi-prolog (6.6.3-1) unstable; urgency=medium

  * New upstream release
  * Removed patches (fixed upstream):
    - new-readline.diff
    - mt-crash-fix.diff

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 19 Mar 2014 23:03:32 +0100

swi-prolog (6.6.2-3) unstable; urgency=medium

  * New patch:
    - mt-crash-fix.diff — patch from upstream git to fix TFBFS on armel
  * Remove versioned dependency on libreadline-dev

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 16 Mar 2014 19:06:16 +0100

swi-prolog (6.6.2-2) unstable; urgency=medium

  * Stop building swi-prolog-java on sparc — OpenJDK is not a default JDK
    there anymore

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 07 Mar 2014 00:15:09 +0100

swi-prolog (6.6.2-1) unstable; urgency=medium

  * New upstream release
  * Removed patches:
    - test-output-fix.diff - fixed upstream
  * Build-depend on libreadline-dev (>= 6.3~)
  * New patch:
    - new-readline.diff - fix building with new readline
  * Use libunwind again

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 05 Mar 2014 23:51:17 +0100

swi-prolog (6.6.1-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental for now
  * Remove patches:
    - java-test-library-path.diff - fixed upstream
    - mips-ftbfs-fix.diff - fixed upstream
  * Standards-Version 3.9.5 - no changes needed
  * New patch from upstream git:
    - test-output-fix.diff - fix output of test scripts on buildds

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 13 Dec 2013 22:43:34 +0100

swi-prolog (6.6.0-2) unstable; urgency=low

  * New patch:
    - mips-ftbfs-fix.diff - fix FTBFS on misp(el) by removing extra definition
      ALIGNOF_DOUBLE macro. Patch was taken from the upstream Git repo.

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 28 Nov 2013 22:37:49 +0100

swi-prolog (6.6.0-1) unstable; urgency=low

  * New upstream release
  * Remove patches:
    - locales-bug.diff - applied upstream
    - numbers-format.diff - applied upstream
  * Refresh patches:
    - no-rpath.diff
  * Use new vm virtual package: swi-prolog-vm-2

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 27 Nov 2013 00:27:04 +0100

swi-prolog (6.4.1-4) unstable; urgency=low

  * Don't build-depend on valgrind on armel, it does not build there anymore
    (closes: #729142)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 09 Nov 2013 20:49:18 +0100

swi-prolog (6.4.1-3) unstable; urgency=low

  * Install link to pldoc.sty to a location where latex can find it (closes:
    #719079)
  * Activate texmf-lsr trigger in swi-prolog-nox so pldoc.sty could be
    registered

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 15 Aug 2013 13:50:25 +0200

swi-prolog (6.4.1-2) unstable; urgency=low

  * Build-depend on valgrind where available
  * New patch:
    - numbers-format.diff - always use period as decimal separator when
      formatting Prolog numbers (rest of the fix for the upstream bug 113)
  * Don't override LC_NUMERIC anymore
  * Update years in debian/copyright
  * Upload to unstable

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Aug 2013 20:32:36 +0200

swi-prolog (6.4.1-1) experimental; urgency=low

  * New upstream release
  * Upload to experimental for now
  * Don't run autoreconf in packages/ticp — fixed upstream
  * Remove patches:
    - disable-java-testFetchLongList2a.diff — fixed upstream
  * New patches:
    - locales-bug.diff — fix locales handling (upstream bug 113)
  * Build-depend on libossp-uuid-dev for UUID support
  * Fix handling of 'parallel' in DEB_BUILD_OPTIONS
  * Increase swi-prolog-vm version to 1
  * Build with LC_NUMERIC set to C to work around rests of upstream bug 113
  * Run dh_swi_prolog only on swi-prolog-nox to avoid warnings about unsed
    variables

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 23 Jul 2013 23:05:18 +0200

swi-prolog (6.2.6-7) unstable; urgency=low

  * New patch:
    - disable-java-testFetchLongList2a.diff - disable test case that fils on
      IA64 because of not enough stack space

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 18 Jun 2013 23:32:02 +0200

swi-prolog (6.2.6-6) unstable; urgency=low

  * Don't build-conflict on libunwind7-dev on ia64. Hopefully that will
    allow this package to build?...

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 18 Jun 2013 02:32:21 +0200

swi-prolog (6.2.6-5) unstable; urgency=high

  * Build-conflict on libunwind[78]-dev until libunwind8 is build on all
    architectures
  * Urgency high in order to allow this and dependent packages migrate to
    testing (6.2.6-4 is 20 days old)
  * Use the cannonical URI in Vcs-Git control field (closes: #697420)

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 17 Jun 2013 23:53:55 +0200

swi-prolog (6.2.6-4) unstable; urgency=low

  * Install TIPC package into swi-prolog-nox on Linux
  * Run autoconf in packages/tipc
  * Fix spelling error in dh_swi_prolog's manpage (thanks, lintian)

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 29 May 2013 00:36:56 +0200

swi-prolog (6.2.6-3) unstable; urgency=low

  * Move the static library to /usr/lib (closes: #709606)
  * Disable 'http' tests — they require network connection
  * New patch:
    - override-PLLIBDIR.diff - set PLLIBDIR to 'swi-prolog', this should take
      care of setting PLBASE to correct value. This simplifies other patches
      and debian/rules
  * Relax shlibs dependency for libswipl.so.
  * Break logol (<< 1.6.1-2~) (closes: #709605)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 26 May 2013 18:02:35 +0200

swi-prolog (6.2.6-2) unstable; urgency=low

  * Upload to unstable
  * Add dh_swi_prolog and swi_prolog sequence for dh. Those two
    allow packages that contain compiled swi-prolog programs to use
    swi-prolog:Depends environment variable to depend on prolog
    version that can execute those programs. swi-prolog-nox
    now provides swi-prolog-vm-* virtual package. For now the virtual
    package name is updated manually (Closes: #631005).
  * Make swi-prolog-nox recommend debhelper (for dh_swi_prolog).

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 22 May 2013 22:44:23 +0200

swi-prolog (6.2.6-1) experimental; urgency=low

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 10 May 2013 22:36:57 +0200

swi-prolog (6.2.5-6) experimental; urgency=low

  * Fix Vcs-* fields in debian/control (closes: #697420, thanks to Salvatore
    Bonaccorso)
  * Remove pthread-flag-detection.diff - it causes segfaults on Hurd,
    probably because of missing -D_REENTRANT
  * New patch:
    - add-pthread.diff - add -pthread compiler/linker flag when adding
      -D_REENTRANT. This is another attempt to fix FTBFS on Hurd.

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 10 May 2013 22:36:37 +0200

swi-prolog (6.2.5-5) experimental; urgency=low

  * New patch:
    - pthread-flag-detection.diff - do not check for -D_REENTRANT when
      checking for -pthread flag support. This does not work on Hurd.
      See also #697133.
  * Remove patches not in debian/patches/series:
    - 04_fix_hyphens_being_used_as_minus_signs_in_manpages.diff
    - segstack-alignment.diff
    - swi-prolog-mipsel-FTBFS.diff

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 04 Jan 2013 19:25:41 +0100

swi-prolog (6.2.5-4) experimental; urgency=low

  * Build swi-prolog-java additionally on armhf and s390x - they also have
    OpenJDK as default-jdk

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Jan 2013 17:27:51 +0100

swi-prolog (6.2.5-3) experimental; urgency=low

  * Build-depend on junit on platforms that have -java package,
    this should fix testsuite failures

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Jan 2013 04:36:49 +0100

swi-prolog (6.2.5-2) experimental; urgency=low

  * Link libjpl.so from the JNI directory, so Java runtime can find it
    without need to modify LD_LIBRARY_PATH
  * Enable checks for jpl package
  * New patch:
    - java-test-library-path.diff - set LD_LIBRARY_PATH during jpl check
  * Add README.Debian to swi-prolog-java package that describes
    current problems when using Java with SWI Prolog (see also #690734)

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Jan 2013 02:30:17 +0100

swi-prolog (6.2.5-1) experimental; urgency=low

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 30 Dec 2012 17:32:47 +0100

swi-prolog (6.2.3-1) experimental; urgency=low

  * New upstream release
  * Remove patches (applied upstream):
    - upstream-6.2.3-pre.diff
    - distclean-fixes.diff
    - implicit-declarations.diff
    - VEOL2-check.diff
  * Updated patches:
    - default-stack-size.diff
    - no-rpath.diff

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 25 Nov 2012 16:05:35 +0100

swi-prolog (6.2.2-17) experimental; urgency=low

  * New patch:
    - no-rpath.diff - do not set rpath during compilation
  * Use dh-autoreconf during the package build
  * Pass --enable-shared to configure again

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Nov 2012 18:10:07 +0100

swi-prolog (6.2.2-16) experimental; urgency=low

  * Show ulimit settings during build (for thread stack size problem
    debugging).
  * Use swipl.sh wrapper to install prolog packages

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 28 Oct 2012 20:57:30 +0100

swi-prolog (6.2.2-14) experimental; urgency=low

  * Refactor prolog package installation code in debian/rules
  * Pass DISABLE_PKGS to configure instead of --without-* (the last one looks
    broken)
  * Install package clpqr into swi-prolog-nox
  * Install package nlp into swi-prolog-nox and run checks for it
  * Install package ssl into swi-prolog-nox
    - build-depend on libssl-dev for it
  * Install package zlib into swi-prolog-nox and run checks for it
    - build-depend on zlib1g-dev
  * Install package R into swi-prolog-nox
  * Install package protobufs into swi-prolog-nox and run checks for it
  * Install package PDT into swi-prolog-nox
  * Install package utf8proc into swi-prolog-nox
  * Add -DMAXPATHLEN=1024 to CPPFLAGS on Hurd (propert fix should be
    implemented later)

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 12 Oct 2012 00:03:53 +0200

swi-prolog (6.2.2-13) experimental; urgency=low

  * Update upstream-6.2.3-pre.diff to commit
    8bb9e550c1a1937be46b9d552afef3c304284466
    - building on hurd should go further
  * New patch:
    - default-stack-size.diff - do not try to set stack size to maximum stack
      size, hopefully fixes FTBFS on mips(el) and kfreebsd-*.

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 10 Oct 2012 22:37:26 +0200

swi-prolog (6.2.2-12) experimental; urgency=low

  * Update upstream-6.2.3-pre.diff to commit
    c8dbddfc2b28a906d7d5539e6fd5d44d1e76b466
    - this should fix build on Hurd
  * New patch:
    - implicit-declarations.diff - fix some implicit function declarations on
      kfreebsd and hurd
    - pkg-config.diff - adjust the .pc file
  * Build-depend on default-jdk instead of openjdk-6-jdk, and make -java
    package depend on default-jre-headless istead of openjdk-6-jre-headless
    (closes: #684310)
  * Install 'cpp' package into swi-prolog-nox and run its testsuite
    (closes: #604552, #295208)

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 09 Oct 2012 23:25:39 +0200

swi-prolog (6.2.2-11) experimental; urgency=low

  * Add ncursesw cflags to CPPFLAGS, this should fix implicit function
    declarations if libncurses5-dev is not available during build
    (closes: #689583)
  * Update patch upstream-6.2.3-pre.diff to commit
    e2faf335c2b94ae8b2e96c60f2eb2fc5907048d1
    - remove conflicting chunks from distclean-fixes.diff - applied upstream
  * Enable all tests that do not fail on amd64 and do not require additional
    dependencies

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 09 Oct 2012 00:20:22 +0200

swi-prolog (6.2.2-10) experimental; urgency=low

  * New patch:
    - upstream-6.2.3-pre.diff - changes from 6.2.3 prerelease (core only)
  * Disable patches (should be fixed upstream):
    - swi-prolog-mipsel-FTBFS.diff
    - segstack-alignment.diff

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 05 Oct 2012 21:09:21 +0200

swi-prolog (6.2.2-9) experimental; urgency=low

  * Fix swi-prolog-nox's preinst once more. Do not ignore failure when
    removing symlink, but continue if the symlink does not exist
    (closes: #689682)
  * Generate XPCE autoload index in debian/rules

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 05 Oct 2012 20:29:43 +0200

swi-prolog (6.2.2-8) experimental; urgency=low

  * Build-Depend on libncursesw5-dev instead of libncurses5-dev, and change
    dependency of swi-prolog-nox (see #689583).
  * Make swi-prolog-nox depend on libgmp-dev instead of transitional package
    libgmp3-dev
  * Build depend on libjpeg8-dev instead of virtual package libjpeg-dev
  * Standards-Version 3.9.4 — no changes required
  * Simplify the build process further by passing variables to configure
    instead doing this in each make invocation
  * Simplify the install step by not using swi-prolog-tmp directory
  * Fix swi-prolog-x's preinst

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 05 Oct 2012 02:54:11 +0200

swi-prolog (6.2.2-7) experimental; urgency=low

  * Simplify package cleaning code
  * New patches:
    - distclean-fixes.diff - remove more generated files on in distclean target
  * Remove /usr/lib/swi-prolog/xpce in swi-prolog-x's preinst if it is a
    symlink. This fixes upgrades from version 5.10.4 and earlier.

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 03 Oct 2012 19:49:19 +0200

swi-prolog (6.2.2-6) experimental; urgency=low

  * Use debhelper 9 and dh to build the package
  * Restore segstack-alignment.diff to previous version but with correct
    syntax for 'aligned' attribute

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 03 Oct 2012 03:23:26 +0200

swi-prolog (6.2.2-5) experimental; urgency=low

  * Install plunit in swi-prolog-nox
  * Install pldoc in swi-prolog-nox (closes: #643641)
  * Add symlink /usr/lib/swi-prolog/prolog.rc pointing to
    /usr/lib/swi-prolog/swipl.rc and /usr/lib/swi-prolog/xpce.rc
    pointing to /usr/lib/swi-prolog/xpce/pl/xpce.rc. This should fix
    running the prolog executable with different names (closes: #640242)
  * Do not use chrpath during build and do not build-depend on it, this is
    not required anymore
  * Use dh_lintian to install lintian overrides
  * Replace segstack-alignment.diff with patch from upstream
  * Re-add xpce manpages to swi-prolog-x
  * Build-depend on libarchive-dev and install package 'archive' into
    swi-prolog-nox
  * Remove references to various swi-prolog-* packages that don't longer exist
    in Debian and to swiprolog binary

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 03 Oct 2012 01:51:29 +0200

swi-prolog (6.2.2-4) experimental; urgency=low

  * Require biggest alignment for buffers used by initSegStack()

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 02 Oct 2012 20:46:06 +0200

swi-prolog (6.2.2-3) experimental; urgency=low

  * Increase alignment requirement in segstack-alignment.diff and add
    attribute aligment to type number

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 02 Oct 2012 01:46:52 +0200

swi-prolog (6.2.2-2) experimental; urgency=low

  * New patch:
    - segstack-alignment.diff - increase alignment requirement for
      segchunk::data, hopefully fixes FTBFS on sparc and mips

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 02 Oct 2012 00:16:56 +0200

swi-prolog (6.2.2-1) experimental; urgency=low

  * New upstream release
  * Refresh patches
  * Do not ship INDEX.pl in swi-prolog-nox and use triggers to update it
    (closes: 689121)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 30 Sep 2012 21:05:09 +0200

swi-prolog (6.0.2-1) experimental; urgency=low

  * New upstream release
  * Enable hardening flags
  * New patch:
    - ignore-format-string-error.diff - ignore a "variable used as format
      string" error - it seems to be a valid use case

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 30 Jun 2012 21:53:09 +0200

swi-prolog (6.0.0-1) experimental; urgency=low

  * New upstream release
  * Add Vu University Amsterdam to debian/copyright
  * Do not run autoreconf in debian/rules as it is not needed anymore
  * Pass CFLAGS to configure
  * Disable building of shared libraries
  * New patches:
    - maildrop-fpic.diff - build maildrop files with -fPIC
  * Do not try to install packages/xpce/ChangeLog - it does not exist anymore
  * Run make with /dev/null as stdin, some build command seem to start
    interpreter

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 26 Feb 2012 19:17:01 +0100

swi-prolog (5.10.5-1) experimental; urgency=low

  * New upstream release
    - upload to experimental for now
  * Split build-dependencies into multiple lines
  * Update debian/copyright

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 29 Jan 2012 22:04:13 +0100

swi-prolog (5.10.4-4) unstable; urgency=low

  * Use grep-dctrl to get list of architectures for the -java package in
    debian/rules and build-depend on dctrl-tools

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 17 Dec 2011 17:31:48 +0100

swi-prolog (5.10.4-3) unstable; urgency=low

  [ Chris Lamb ]
  * Install sgml package into swi-prolog-nox. Thanks to Sami Kiviharju
    <sami.kiviharju@gmail.com>. (Closes: #642214)

  [ Євгеній Мещеряков ]
  * Adopt the package with maintainer's agreement
  * Make swi-prolog-nox depend on libncurses5-dev (closes: #644974)
  * Remove special rules for no longer supported arm and hppa architectures
    from debian/rules
  * Do not try to install jpl package if it was not built (closes: 644593)
  * Add debian/gbp.conf
  * Add pointers to collab-maint repository
  * Compress binary packages using xz

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 15 Dec 2011 23:44:28 +0100

swi-prolog (5.10.4-2) unstable; urgency=low

  * Add missing RDF library. Thanks to "A. N. Other"
    <a.n.other.debian@gmail.com>. (Closes: #639103)
  * Prevent similar issues with library paths with set -e.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Aug 2011 22:27:46 +0100

swi-prolog (5.10.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on mipsel (Closes: #634257)
  * New patch:
    - swi-prolog-mipsel-FTBFS.diff
  * Urgency medium because previous version was for too long in
    unstable on all other architectures

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 20 Jul 2011 20:02:11 +0200

swi-prolog (5.10.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2.

 -- Chris Lamb <lamby@debian.org>  Sun, 19 Jun 2011 14:04:49 +0100

swi-prolog (5.10.2-1) unstable; urgency=low

  * New upstream version.
  * Update Vcs-{Git,Browser}.
  * Change libgmp3-dev dependency to libgmp-dev.

 -- Chris Lamb <lamby@debian.org>  Sun, 20 Mar 2011 06:29:25 +0000

swi-prolog (5.10.1-1) unstable; urgency=low

  * New upstream release.
  * Remove 01_chrpath_not_fatal.diff patch; applied upstream.
  * Bump Standards-Version to 3.9.1.
  * Prefer Breaks: over versioned Conflicts:.

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Aug 2010 06:01:30 +0100

swi-prolog (5.10.0-1) unstable; urgency=low

  * New upstream release. (Closes: #587994)
  * Update package index after installing -nox which was resulting in
    incomplete installations after upgrading from lenny. (Closes: #585870)
  * Remove unneeded manpage section patch.
  * Update patches for latest swi-prolog version.
  * Remove reference to xpce.1 manpage (removed upstream).
  * libpl.so => libswipl.so.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 Jul 2010 16:43:29 +0100

swi-prolog (5.8.2-2) unstable; urgency=low

  * Drop duplicate libjpeg62-dev, libxpm-dev and libxt-dev Build-Depends.
  * Replace libjpeg62-dev Build-Dependency with libjpeg-dev.
  * Fix FTBFS on GNU/kFreeBSD. Thanks to Petr Salinger
    <Petr.Salinger@seznam.cz>. (Closes: #571078)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.8.4.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Feb 2010 22:08:03 +0000

swi-prolog (5.8.2-1) unstable; urgency=low

  * New upstream release.
  * Re-arrange binary packages at upstream's request:
    - Rename -xpce to -x
    - Rename -jpl to -java
    - Rename "swi-prolog" to -nox and merge -clib, -http, -semweb, -sgml
      and -table into it
    - The "swi-prolog-odbc" package remains unchanged
    - A new "swi-prolog" package depends on both "swi-prolog-nox" and
      "swi-prolog-x"

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Jan 2010 00:39:12 +0000

swi-prolog (5.8.0-1) unstable; urgency=low

  * New upstream release.
    - Local copy of strndup renamed to my_strndup. (Closes: #552847)
  * Replace libreadline5-dev dependencies with libreadline-dev.
  * Fix bad jpl.jar symlink in "main" swi-prolog package by using
    debian/swi-prolog-jpl.links instead of specifying it in debian/rules
    to ensure it ends up in the right package. (Closes: #549628)

 -- Chris Lamb <lamby@debian.org>  Thu, 29 Oct 2009 19:17:06 +0000

swi-prolog (5.6.64-3) unstable; urgency=low

  * Include CHR library in swi-prolog package. (Closes: #541183)
  * Bump Standards-Version to 3.8.3.

 -- Chris Lamb <lamby@debian.org>  Tue, 25 Aug 2009 03:55:20 +0100

swi-prolog (5.6.64-2) unstable; urgency=low

  * Add Build-Depends on libxft-dev, libxext-dev, libice-dev, libjpeg62-dev,
    libxinerama-dev, libxpm-dev and libxt-dev for anti-aliased fonts in XPCE.
    (Closes: #527233)
  * Bump Standards-Version to 3.8.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 May 2009 13:43:43 +0100

swi-prolog (5.6.64-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch file.
  * Drop 05_fix_java_lib_paths patch - applied upstream.
  * Refer to `/usr/share/common-licenses/GPL-2' in debian/copyright instead of
    just `GPL'.
  * Update Git repository URLs.

 -- Chris Lamb <lamby@debian.org>  Sun, 22 Feb 2009 02:17:41 +0000

swi-prolog (5.6.63-3) unstable; urgency=low

  * Add call to autoconf to ensure the changes in 05_fix_java_lib_paths.dpatch
    are actually applied to the JPL source. Thanks again to Peter Green
    <plugwash@p10link.net>. (Closes: #510409)

 -- Chris Lamb <lamby@debian.org>  Sat, 10 Jan 2009 01:26:48 +0000

swi-prolog (5.6.63-2) unstable; urgency=low

  * Fix FTBFS on architectures other than i386 and amd64 (Closes: #510409)
    - Add 05_fix_java_lib_paths.dpatch to fix Java include directory for
      architectures that have OpenJDK but the Autoconf fragment is new enough
      to cater for it.
    - Don't Build-Depend on openjdk-6-jre on arm and hppa.
    - Expand "Architecture: any" and remove arm and hppa.
    - Move from calling ``dh_* -a'' to ``dh_* -s'' where appropriate.
    - Conditionally call various debhelper commands that reference
      swi-prolog-jpl where that architecture does not apply.

    Many thanks to Peter Green <plugwash@p10link.net> who provided both
    analysis and patches for this issue.
  * Fix FTBFS twice in a row.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Jan 2009 22:57:07 +0000

swi-prolog (5.6.63-1) unstable; urgency=low

  * New upstream release.
  * Build the JPL (bidirectional Java interface) library in the swi-prolog-jpl
    binary package now that OpenJDK is in main. (Closes: #449437)
    - Remove 01_not_jpl_package.dpatch
    - Add Build-Depends on openjdk-6-jdk
    - Add convenience symlink from /usr/share/java/jpl.jar
  * Don't play Hanoi in clean target anymore with some (required) files that
    upstream was cleaning - change merged upstream.
  * New maintainer email address.

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Dec 2008 22:07:04 +0000

swi-prolog (5.6.59-1) unstable; urgency=low

  * New upstream release - "mostly a bugfix release, fixing GC and HTTP issues
    from 5.6.56":
    - Garbage collection fixes:
      + Avoid crash on recursive GC signalling
      + Add support for A_MPZ in life-gc walker (crasher)
      + Call signal handlers at a safe place whilst backtracking.
      + Fix possible crash of profiler on GC.
      + Misc. GC fixes
    - HTTP fixes:
      + http_read_request/3 throws error on illegal request and
        http_wrapper/5.
      + http_open/3 now raises an error if the URL is not well-formed
        instead of failing silently.
    - Other fixes:
      + Fix possible crash in copy_term/2 etc. on 32-bit systems.
      + Avoid import messages from module user in saved states.
    - New features:
      + library(terms) for enhanced compatibility to YAP/Quintus/SICStus.
      + Use PceEmacs as default editor if XPCE is available.
      + zcompare/3, analogous to compare/3 for FD variables.
      + constraint element/3, analogous to nth/1.
  * Build CHR on arm and armel again after GC fixes (disabled in 5.6.58-2).

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 07 Aug 2008 13:58:33 +0100

swi-prolog (5.6.58-2) unstable; urgency=low

  * Fix regression when moving from dh_movefiles to dh_install. dh_install
    only copies the specifies files whilst dh_movefiles moves them - this was
    resulting in the contents of the binary "swi-prolog" package being
    duplicated inside "swi-prolog-xpce", causing file conflicts at
    installation. (Closes: #492364)
  * Don't build the CHR package on arm and armel to prevent FTBFS on these
    archictures.
  * Add 04_fix_hyphens_being_used_as_minus_signs_in_manpages.dpatch to fix
    hyphen issues in manpages.
  * Build-Depend on debhelper (>= 5) instead of (>= 5.0.0).
  * Add "no-symbols-control-file" override to the shared-library related
    lintian overrides.
  * Actually remove dbuild ".pwd" file - was not being deleted since
    5.6.47-1 or so.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 25 Jul 2008 22:59:28 +0100

swi-prolog (5.6.58-1) unstable; urgency=low

  * New upstream release.
  * Fix GCC flag handling as SWI-Prolog prefers COFLAGS over CFLAGS:
    - Unset CFLAGS to allow upstream build system to select optimisations.
    - Should fix FTBFS on arm as -O0 is passed properly (introduced in
      5.6.49-1).
  * Fix typo ("polution" -> "pollution") in README.Debian.
  * Replace calls to `pwd` in debian/rules with $(CURDIR).
  * Move from dh_movefiles to dh_install.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Tue, 22 Jul 2008 21:34:25 +0100

swi-prolog (5.6.57-1) unstable; urgency=low

  * New upstream release.
    - Remove HPPA shared object file extension patch as it has been merged
      upstream.
  * Bump Standards-Version to 3.8.0.
  * Depend on x11proto-core-dev instead of x-dev.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 03 Jul 2008 14:35:47 +0100

swi-prolog (5.6.55-1) unstable; urgency=low

  * New upstream release.
  * Use correct shared object file extension on HPPA to fix FTBFS on this
    architecture since 5.6.53-2. Patch backported from upstream repository.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Wed, 14 May 2008 02:47:49 +0100

swi-prolog (5.6.54-1) unstable; urgency=low

  * New upstream release.
    - Fixes portability in big-endian machines (Closes: #476701)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 18 Apr 2008 16:05:56 +0100

swi-prolog (5.6.53-2) unstable; urgency=low

  * Fix spelling typo in swi-prolog-clib package description.
  * Build standalone shared library for use in foreign function interfaces
    such as SWIG. (Closes: #152811)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 17 Apr 2008 00:01:08 +0100

swi-prolog (5.6.53-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Tue, 15 Apr 2008 16:22:08 +0100

swi-prolog (5.6.52-2) unstable; urgency=low

  * Build and install the ODBC database extension. This adds a new binary
    package 'swi-prolog-odbc' (Closes: #380355).

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 04 Apr 2008 00:42:51 +0100

swi-prolog (5.6.52-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add libgmp3-dev and libreadline5-dev as swi-prolog binary dependencies
      for plld utility (Closes: #470899)
    - Completely rewrite crufty short and long descriptions of all packages
    - Remove swi-prolog-xpce from swi-prolog Recommends:
    - Move swi-prolog-doc from swi-prolog Recommends: to Suggests:

 -- Chris Lamb <chris@chris-lamb.co.uk>  Tue, 18 Mar 2008 03:09:43 +0000

swi-prolog (5.6.51-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Tue, 26 Feb 2008 12:52:05 +0000

swi-prolog (5.6.50) unstable; urgency=low

  * New upstream release.
  * Make '/usr/bin/swipl' a symlink again. This was a regression introduced
    by my fix to #456261 which was preventing scripts to use a shebang line
    pointing to swipl. Passing the environment variable PL to configure sets
    the target binary name in a far more less brittle manner. (Closes: #462646)
  * Remove deprecated swiprolog binary and associated manpage. This name was
    deprecated in 2001 and does not support scripting.
  * Add missing ${shlibs:Depends} to swi-prolog-http.
  * Cleanup debian/rules.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Mon, 11 Feb 2008 09:45:02 +0000

swi-prolog (5.6.49-2) unstable; urgency=low

  * Use DEB_BUILD_ARCH instead of DEB_BUILD_GNU_TYPE for determining when
    we are building on ARM.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 25 Jan 2008 22:06:56 +0000

swi-prolog (5.6.49-1) unstable; urgency=low

  * New upstream release.
  * Disable GCC optimisations on ARM in an attempt to diagnose FTBFS.
  * Fix bug in "swipl" wrapper which discarding arguments. (Closes: #462368)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 24 Jan 2008 16:34:25 +0000

swi-prolog (5.6.48-1) unstable; urgency=low

  * New upstream release.
  * Patch plld.c so it calls 'swipl' instead of 'pl' (Closes: #312523)
  * Rework main binary such that /usr/bin/swipl is a shell script instead
      of a symlink (Closes: #456261)
  * Delete empty directories (spotted by lintian)
  * Tidy (unfixed) Lintian "image-file-in-usr-lib" overrides.
  * Update Standards-Version: to 3.7.3.
  * Require debhelper >= 5.
  * Add debian/watch.
  * Move from XS-Vcs-* to Vcs-*.
  * Add ${misc:Depends} for all binaries.
  * Include dpatch.make instead of re-implementing patch/unpatch targets.
  * Remove RPATH from pl2xpce.so in install target (spotted by lintian)
  * Fix FTBFS on ARM.
  * Rename Vcs-Browse -> Vcs-Browser. (Thanks to Daniel Baumann)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 28 Dec 2007 18:55:24 +0000

swi-prolog (5.6.47-1) unstable; urgency=low

  * New upstream version (Closes: #295209, #308325, #425580)
  * New maintainer (Closes: #422576)
  * Bump Debhelper compatibility to 5
  * debian/rules:
     * Update config.sub and config.guess from autotools-dev
         (Closes: #408076, #414181)
     * Desist from blindly ignoring "clean" target
  * debian/control:
     * Use ${binary:Version} instead of ${Source-Version}
     * Add new Homepage: field
     * Add XS-Vcs-* fields
  * Change ".menu" sections from
       "Apps/Programming" -> "Applications/Programming"
  * Documentation:
     * Remove some SGML documentation now missing from upstream
     * Add Sicstus and SWI-Prolog v4.8 -related XPCE documentation

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sun, 02 Dec 2007 23:26:00 +0000

swi-prolog (5.6.14-1) unstable; urgency=low

  * The "OMG!" release
  * New Upstream Release (closes: #308325)
  * New Maintainer (closes: #296871)
  * Now Build from source (closes: #324053)
  * libreadline5-dev added as a buil-dependency (closes: #326293)
  * xlibs-dev dependency removed (closes: #347073)
  * .pwd file removed (closes:  #285894)

 -- Gerardo Curiel <gcuriel@debianvenezuela.org>  Sat, 10 Jun 2006 00:22:25 -0400

swi-prolog (5.2.13-1) unstable; urgency=low

  * New upstream (closes: #257254)
  * Fixed executable naming in man page (closes: #223815)
  * Added http and semweb packages

 -- Michael Piefel <piefel@debian.org>  Mon, 12 Jul 2004 14:55:07 +0200

swi-prolog (5.2.7-1) unstable; urgency=low

  * New upstream - this supposedly closes: #206428 (a build failure)
  * debian/rules clean: remove file before directory for greater effect

 -- Michael Piefel <piefel@debian.org>  Tue, 09 Sep 2003 15:36:52 +0200

swi-prolog (5.2.6-1) unstable; urgency=low

  * New upstream.
  * Install clib's files into a directory instead of on top of each other
    (closes: #206520)
  * Delay restoration of upstream config.{sub,guess} until after make step
    since configure is called during the build (closes: #206443)

 -- Michael Piefel <piefel@debian.org>  Thu, 21 Aug 2003 14:32:59 +0200

swi-prolog (5.2.5-1) unstable; urgency=low

  * New upstream version
  * Merged the source packages for swi-prolog and swi-prolog-packages together
    again. The build process upstream uses finally doesn't
    build-install-build-install anymore.
  * debian/rules: rearranged for better autotools and DEB_BUILD_OPTIONS
  * debian/rules: got rid of *.dirs.in ugliness
  * Remove make call from XPCE postinst (closes: #186468)
  * Update library index for sgml and clib (closes: #187005)

 -- Michael Piefel <piefel@debian.org>  Tue, 19 Aug 2003 15:10:19 +0200

swi-prolog (5.0.10-3) unstable; urgency=low

  * Remove readline(3) manpage (doesn't yet close #178370, this is not only a
    SWI-Prolog issue).
  * Rename even more to swipl (closes: #176670). This is distributed over so
    many places that I'm sure I still haven't found all of them.

 -- Michael Piefel <piefel@debian.org>  Fri, 14 Feb 2003 18:37:53 +0100

swi-prolog-packages (5.0.10-2) unstable; urgency=low

  * Build process used pl binary - not sure why it didn't fail on my
    machine, it sure did on the autobuilder (closes: #176670)

 -- Michael Piefel <piefel@debian.org>  Thu, 23 Jan 2003 15:00:44 +0100

swi-prolog (5.0.10-2) unstable; urgency=low

  * Add newer config.{guess,sub} (closes: #175981)

 -- Michael Piefel <piefel@debian.org>  Sun, 12 Jan 2003 12:11:57 +0100

swi-prolog (5.0.10-1) unstable; urgency=low

  * New upstream (closes: #165983)
  * Suggest prolog-el; this not really closes: #136337, but it is very near
    the spirit of the report.

 -- Michael Piefel <piefel@debian.org>  Fri, 27 Dec 2002 17:10:16 +0100

swi-prolog-packages (5.0.10-1) unstable; urgency=low

  * New upstream.

 -- Michael Piefel <piefel@debian.org>  Mon, 30 Dec 2002 12:05:02 +0100

swi-prolog-packages (5.0.1-1) unstable; urgency=low

  * New upstream again... builds everywhere now, I hope (closes: #126965).

 -- Michael Piefel <piefel@debian.org>  Fri, 08 Feb 2002 10:41:01 +0100

swi-prolog-packages (5.0.0-1) unstable; urgency=low

  * New maintainer. Sebastian can have it back anytime.
  * New upstream. (Promises to compile on arm without change.)
  * New licence.
  * Remove silly symlinks to local files in xpce (use relative links
    instead of absolute ones, closes: #128079).
  * Approaching lintian cleanness (removed rpath and added man pages).
  * Fix spelling mistake (closes: #125405).

 -- Michael Piefel <piefel@debian.org>  Tue, 05 Feb 2002 17:10:35 +0100

swi-prolog (5.0.0-1) unstable; urgency=low

  * New maintainer. Sebastian can have it back anytime.
  * New upstream. (Promises to compile on arm without change.)
  * New licence.

 -- Michael Piefel <piefel@debian.org>  Tue, 05 Feb 2002 10:10:58 +0100

swi-prolog (4.0.11-2) unstable; urgency=low

  * Patched configure script so that it generates a usable config.h for hppa
    and arm (closes: #99032)
  * Also patched config.sub to recognize parisc64.

 -- Michael Piefel <piefel@debian.org>  Mon, 17 Dec 2001 14:45:21 +0100

swi-prolog (4.0.11-1) unstable; urgency=low

  * Split package into three different source packages for swi-prolog (pl-lite
    on the upstream download page), swi-prolog-packages and swi-prolog-doc.
    Therefore this package has shorter build dependencies. (closes: #122972)
  * `swiprolog' binary renamed to `swipl'. This is one of the preferred
    alternatives for the binary names from upstream.

 -- Michael Piefel <piefel@debian.org>  Tue, 11 Dec 2001 17:47:52 +0100

swi-prolog-packages (4.0.11-1) unstable; urgency=low

  * Initial release. This has been split from the main package (containing
    SWI-Prolog/lite) because the packages have their very own quirks.

 -- Michael Piefel <piefel@debian.org>  Tue, 11 Dec 2001 13:31:44 +0100

swi-prolog (4.0.9-1.1) unstable; urgency=low

  * This compiles on sparc (closes: #89881)
  * Still new upstream, therefore closes: #94313, #110454
  * Now uses doc-base to announce its manual (closes: #96026)
  * Provides a menu entry (closes: #83492)

 -- Michael Piefel <piefel@debian.org>  Tue, 27 Nov 2001 17:34:40 +0100

swi-prolog (4.0.9-1) unstable; urgency=low

  * New upstream version
  * Maintainer changed

 -- Sebastian Schaffert <wastl@wastl.net>  Thu, 30 Aug 2001 10:24:00 +0100

swi-prolog (3.4.4-2) unstable; urgency=low

  * Orphaned.

 -- Milan Zamazal <pdm@debian.org>  Wed, 29 Aug 2001 10:50:20 +0200

swi-prolog (3.4.4-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Sun, 24 Dec 2000 13:11:59 +0100

swi-prolog (3.4.0-2) unstable; urgency=low

  * Call update-alternatives in prerm, not postrm.

 -- Milan Zamazal <pdm@debian.org>  Sun, 15 Oct 2000 19:20:07 +0200

swi-prolog (3.4.0-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Sun,  1 Oct 2000 09:58:22 +0200

swi-prolog (3.3.9-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Sun, 30 Jul 2000 12:56:08 +0200

swi-prolog (3.3.8-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Sun, 23 Jul 2000 11:30:51 +0200

swi-prolog (3.3.2-1) unstable; urgency=low

  * New upstream version.
  * Use -I../include in building HTML docs creator.
  * Actually, do not build the HTML documentation, since it doesn't work
    in this version.
  * Do not strip the main binary (I'll have to figure out, why in some
    versions stripping is possible while in others not...).

 -- Milan Zamazal <pdm@debian.org>  Sun, 27 Feb 2000 20:35:02 +0100

swi-prolog (3.3.0final-1) unstable; urgency=low

  * New upstream version.
  * Broken links to man pages in alternatives install fixed.
  * Recompiled with libreadline4 and libncurses5.

 -- Milan Zamazal <pdm@debian.org>  Tue, 15 Feb 2000 20:17:00 +0100

swi-prolog (3.3.0beta9-1) unstable; urgency=low

  * Renumbered according to the actual upstream version numbering.

 -- Milan Zamazal <pdm@debian.org>  Fri, 14 Jan 2000 20:18:51 +0100

swi-prolog (3.2.99beta9-1) unstable; urgency=low

  * New beta version.
  * Path mess in the Debian package fixed (hi broken dpkg!); closes: #54359.
  * Strip the main binary again, it works now.
  * Generate and install HTML docs.
  * No lintian 1.11.2 errors.

 -- Milan Zamazal <pdm@debian.org>  Sat,  8 Jan 2000 13:07:57 +0100

swi-prolog (3.2.99beta8-1) unstable; urgency=low

  * New beta version.
  * Missing build dependencies added; closes: #53620.
  * Do not strip the main binary, otherwise it won't work.

 -- Milan Zamazal <pdm@debian.org>  Thu, 30 Dec 1999 20:45:30 +0100

swi-prolog (3.2.99beta7-1) unstable; urgency=low

  * New upstream version.
    This is packaging of 3.3.0 beta to allow testing of the package before
    potato freeze.  According to information from the upstream author, the
    final 3.3.0 version should be released before the freeze.
    3.3.0 fixes the Sparc compilation problem; closes: #52161.
  * The upstream version is now under GPL.
  * Standards 3.1.1.
  * Download location updated.
  * Home page location added to the description.
  * Build dependencies introduced.
  * Compile `pl-rec.c' with full optimization again.
  * Unintentionally appeared garbage removed.

 -- Milan Zamazal <pdm@debian.org>  Fri, 24 Dec 1999 22:44:16 +0100

swi-prolog (3.2.9-1) unstable; urgency=low

  * New upstream version.
  * Moved to FHS.
  * configure separated in rules.
  * Strip the main binary again.
  * No lintian 1.10 errors.

 -- Milan Zamazal <pdm@debian.org>  Tue, 19 Oct 1999 20:14:06 +0200

swi-prolog (3.2.8-2) unstable; urgency=low

  * Do not strip the main binary, so that it worked (don't know the
    reason); closes: #43041.

 -- Milan Zamazal <pdm@debian.org>  Mon, 16 Aug 1999 19:53:14 +0200

swi-prolog (3.2.8-1) unstable; urgency=low

  * New upstream version.
  * Compile `pl-rec.c' without optimization to avoid egcs bug;
    closes: #39313.
  * No lintian 1.6 errors.

 -- Milan Zamazal <pdm@debian.org>  Wed,  4 Aug 1999 21:18:00 +0200

swi-prolog (3.2.7-1) unstable; urgency=low

  * New upstream version.
  * Compiled with egcc and glibc 2.1.
  * No lintian 1.3 errors.

 -- Milan Zamazal <pdm@debian.org>  Tue, 25 May 1999 15:44:01 +0200

swi-prolog (3.2.6-1) unstable; urgency=low

  * New upstream version, closes: bug#34872.
  * `pl' binary renamed to `swiprolog', closes: bug#34873.
  * More debhelpers used.
  * The `-g' compilation option used.
  * New alternative: `prolog'.
  * Do not use a4wide.sty.
  * `INSTALL' not installed.
  * No lintian 1.1 errors.

 -- Milan Zamazal <pdm@debian.org>  Sun, 25 Apr 1999 17:48:52 +0200

swi-prolog (3.1.0-2) frozen unstable; urgency=low

  * Recompilation with libncurses4.

 -- Milan Zamazal <pdm@debian.org>  Sun,  1 Nov 1998 19:32:15 +0100

swi-prolog (3.1.0-1) unstable; urgency=low

  * New upstream version.
  * New maintainer address.
  * Fix help displaying bug by a patch from the upstream author.
  * Format help also for `xterm-debian' and `linux' terminals.
  * Minor change of description.
  * The `LICENSE' file no longer installed (it is already part of
    `copyright').
  * Make `plrc.1' link to undocumented.
  * Do not install the `SWI-Exports' file.
  * Lintian 0.9.1 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Sat,  3 Oct 1998 20:33:28 +0200

swi-prolog (2.9.10-3) unstable; urgency=low

  * Do not use `a4.sty' (Bug #24274).
  * Call `dvips' with the `-o' option (Bug #24277).

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue,  7 Jul 1998 17:47:27 +0200

swi-prolog (2.9.10-2) unstable; urgency=low

  * Applied patch by Roman Hodek dealing with integer overflow on m68k in
    memory address computation (Bug #24155).
  * No lintian 0.4.8 _errors_.

 -- Milan Zamazal <pdm@fi.muni.cz>  Thu,  2 Jul 1998 17:22:38 +0200

swi-prolog (2.9.10-1) unstable; urgency=low

  * New upstream version.
  * No lintian 0.4.4 _errors_.

 -- Milan Zamazal <pdm@fi.muni.cz>  Fri,  5 Jun 1998 16:28:54 +0200

swi-prolog (2.9.6-6) frozen unstable; urgency=low

  * Missing include files added (Bug #21088).

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue, 14 Apr 1998 18:35:36 +0200

swi-prolog (2.9.6-5) frozen unstable; urgency=low

  * Section changed from non-free to main (the license is DFSG compliant).
  * The symlink `/usr/bin/pl-bite' removed.
  * No lintian 0.3.4 _errors_.

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue, 31 Mar 1998 20:45:48 +0200

swi-prolog (2.9.6-4) unstable; urgency=low

  * Use `dh_md5sums'.

 -- Milan Zamazal <pdm@fi.muni.cz>  Wed, 18 Feb 1998 19:19:50 +0100

swi-prolog (2.9.6-3) unstable; urgency=low

  * `checksums' renamed to `md5sums'.
  * Standards 2.4.0.0.

 -- Milan Zamazal <pdm@fi.muni.cz>  Fri, 13 Feb 1998 18:17:48 +0100

swi-prolog (2.9.6-2) unstable; urgency=low

  * Upstream sources location corrected.
  * Full license text included into `copyright' file.
  * Files stripped again.
  * `-isp' flag added to dpkg-gencontrol.
  * Broken linking with ncurses corrected.
  * Complete section identification in `control' now.
  * More error safe `rules'.
  * Compiled with `-D_REENTRANT'.
  * Gzip `changelog.Debian'.
  * Rename `ChangeLog' to `changelog'.
  * Standards 2.3.0.1.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 12 Jan 1998 19:41:49 +0100

swi-prolog (2.9.6-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@fi.muni.cz>  Wed, 10 Dec 1997 17:04:14 +0100

swi-prolog (2.9.5-2) unstable; urgency=low

  * Arrgh, compiled with `-O2' now!

 -- Milan Zamazal <pdm@fi.muni.cz>  Thu, 13 Nov 1997 17:02:19 +0100

swi-prolog (2.9.5-1) unstable; urgency=low

  * New upstream version.
  * Compiled with libc6.
  * Section changed to non-free.
  * Does not use `debstd' now.

 -- Milan Zamazal <pdm@fi.muni.cz>  Thu,  9 Oct 1997 15:02:10 +0200

swi-prolog (2.8.2-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue, 6 May 1997 21:43:39 +0200

swi-prolog (2.8.1-2) unstable; urgency=low

  * Do not unload foreign libraries at halt.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 7 Apr 1997 16:30:25 +0200

swi-prolog (2.8.1-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue, 1 Apr 1997 20:05:01 +0200

swi-prolog (2.8.0-2) frozen unstable; urgency=low

  * Static library stripped correctly.

 -- Milan Zamazal <pdm@fi.muni.cz>  Thu, 27 Mar 1997 20:37:12 +0100

swi-prolog (2.8.0-1) contrib; urgency=low

  * New upstream version.
  * Header files are not duplicated now but symlinks.

 -- Milan Zamazal <pdm@fi.muni.cz>  Wed, 12 Mar 1997 16:53:21 +0100

swi-prolog (2.7.20-1) contrib; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 3 Mar 1997 15:07:07 +0100

swi-prolog (2.7.18-1) contrib; urgency=low

  * New upstream version.
  * Architecture field changed to `any'.
  * Moved to standards 2.1.2.2.

 -- Milan Zamazal <pdm@fi.muni.cz>  Wed, 22 Jan 1997 16:29:18 +0100

swi-prolog (2.7.16-1) contrib; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 2 Dec 1996 14:23:29 +0100

swi-prolog (2.7.14-1) contrib; urgency=low

  * Initial Release.

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue, 5 Nov 1996 11:49:14 +0100
